Page MenuHomePhabricator

[AARCH64] Add Broadcom Vulcan scheduling model
ClosedPublic

Authored by pgode on Jun 25 2016, 8:38 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

pgode updated this revision to Diff 61891.Jun 25 2016, 8:38 AM
pgode retitled this revision from to [AARCH64] Add Broadcom Vulcan scheduling model.
pgode updated this object.
pgode added reviewers: t.p.northover, rengolin.
pgode added subscribers: echristo, aemerson, MatzeB, llvm-commits.
rengolin accepted this revision.Jun 28 2016, 2:51 PM
rengolin edited edge metadata.

Hi Pankaj,

I don't know much about the Vulcan model, so I'll trust you on the numbers. :)

But the code looks good to me with the extra comment removed.

cheers,
--renato

lib/Target/AArch64/AArch64SchedVulcan.td
445 ↗(On Diff #61891)

I don't think you need this section here... you can easily say above that it's valid for FP, too.

This revision is now accepted and ready to land.Jun 28 2016, 2:51 PM

This never made it to the list as a patch afaict. Can you resend the patch
with llvm-commits as a subscriber first?

This looks good to me too.

Out of curiosity, what are the performance improvements with this model?

pgode added a comment.Jun 29 2016, 2:30 AM

Eric,
While submitting, I had added 'llvm-commits' as subscriber, as per the guidelines. (>> pgode added subscribers: echristo, aemerson, MatzeB, llvm-commits.)
Additionally, I also got a mail from the list llvm-commits: 'Your message entitled [PATCH] D21728: [AARCH64] Add Broadcom Vulcan scheduling modelwas successfully received by the llvm-commits mailing list.'
I can resend the patch, if it is required. Kindly suggest.
Thanks.

Oh, now I remember, your emails are reaching me as spam.

When I can see your emails, I get this from GMail:

"This message was not sent to Spam because of a filter you created."

Not sure why, though...

pgode added a comment.Jun 29 2016, 2:52 AM

Out of curiosity, what are the performance improvements with this model?

Actually, this is a functional patch and we are currently validating it on the simulators. So, we will update performance numbers later.

pgode updated this revision to Diff 62205.Jun 29 2016, 4:51 AM
pgode edited edge metadata.

But the code looks good to me with the extra comment removed.

Removed the extra comments (comments in 3.11 & 3.12 FP Load/store).
Modified comments part of 3.6 & 3.7 (Load/Store) to say that they are valid for 3.11 & 3.12 (FP Load/Store) as well.

pgode marked an inline comment as done.Jun 29 2016, 4:53 AM

Corrected & updated the diff.

This revision was automatically updated to reflect the committed changes.

(LGTM for the record, thanks!)